This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 321201 - Eclipse fails to launch on x86_64 (wrong ELF class)
Eclipse fails to launch on x86_64 (wrong ELF class)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
7
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-06 04:10 EDT by Eric LANDES
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-18 14:24:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Eclipse log file (2.44 KB, text/plain)
2007-10-06 04:10 EDT, Eric LANDES
no flags Details

  None (edit)
Description Eric LANDES 2007-10-06 04:10:38 EDT
Description of problem:
Eclipse fails to launch on x86_64

Version-Release number of selected component (if applicable):
$ rpm -q eclipse-jdt
eclipse-jdt-3.2.2-15.fc7

How reproducible:
Always

Steps to Reproduce:
1. yum install eclipse-jdt.x86_64
2. Launch Eclipse through the main menu or with /usr/bin/eclipse

Actual results:
It shows a message box : An error has occured. See the log file
/home/user/workspace/.metadata/.log

Log file indicates java.lang.UnsatisfiedLinkError for libswt-pi-gtk-3236.so
(wrong ELF class: ELFCLASS64)

Additional info:
$ uname -a
Linux pc-linux 2.6.21-1.3228.fc7 #1 SMP Tue Jun 12 14:56:37 EDT 2007 x86_64
x86_64 x86_64 GNU/Linux

See attached file for a complete log
Comment 1 Eric LANDES 2007-10-06 04:10:38 EDT
Created attachment 218301 [details]
Eclipse log file
Comment 2 Andrew Overholt 2007-10-18 09:28:49 EDT
Sorry I didn't comment on this sooner.  It appears you've got a 32-bit JVM and
64-bit eclipse.
Comment 3 Eric LANDES 2007-10-18 13:48:33 EDT
Ok, it's right. I had to install a 32-bit jvm for a software I installed
manually and which requires such a jvm. 
So the bug is invalid. 
Comment 4 Andrew Overholt 2007-10-18 14:24:31 EDT
Cool.

Note You need to log in before you can comment on or make changes to this bug.